[Launch]
ProgramExecutable=uGet\bin\uget.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Environment]
Language=%PAL:LanguageCustom%

[FilesMove]
gtk-3.0\settings.ini=%PAL:AppDir%\uGet\etc\gtk-3.0

[DirectoriesMove]
config=%PAL:AppDir%\uGet\config

[Language]
Base=%PortableApps.comLocaleglibc%
CheckIfExists=%PAL:AppDir%\uGet\share\locale\%PAL:LanguageCustom%\*.*

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\uGetPortableSettings.ini
Section=uGetPortableSettings
Key=Language

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="folder": "%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace="folder": "%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="folder": "%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%
Replace="folder": "%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="folder": "%PAL:LastDrive%
Replace="folder": "%PAL:Drive%

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="folder": "DEFAULTDOWNLOADDIRECTORY
Replace="folder": "%CustomPortableApps.comDownloads:DoubleBackslash%

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="path": "%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace="path": "%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="path": "%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%
Replace="path": "%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%

[FileWrite7]
Type=Replace
File=%PAL:DataDir%\config\uGet\category\*.json
Find="path": "%PAL:LastDrive%
Replace="path": "%PAL:Drive%
